<?php
require_once("../conf.php");
?>
<html>
    <head>
      <title>phpChart - Custom Pie Chart</title>
      <style type="text/css" media="screen">
        .jqplot-axis {
          font-size: 0.85em;
        }
        .jqplot-legend {
          font-size: 1em;
        }
      </style>
    </head>
    <body>
        <div><span> </span><span id="info1b"></span></div>

<?php
    

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //Chart 1 Example
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $line1 = array(array('<frogs> & lizards', 3), array('buzzards & gizzards', 7), array('deer & beef', 2.5), array('turkeys & vulures', 6), array('moles & voles', 5), array('ground hogs & beets', 4));
    $line2 = array(3, 7, 2.5, 6, 5, 4);

    $pc = new C_PhpChartX(array($line1),'chart1');

    $pc->set_series_color(array('#dd3333', '#d465f1', '#aa2211', '#3377aa', '#6699bb', '#9933aa'));
    $pc->set_title(array('text'=>'Default Pie Chart with Custom Colors'));
    $pc->set_series_default(array('renderer'=>'plugin::PieRenderer'));

    $pc->draw(400,300);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //Chart 2 Example
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $line1 = array(array('<frogs> & lizards', 3), array('buzzards & gizzards', 7), array('deer & beef', 2.5), array('turkeys & vulures', 6), array('moles & voles', 5), array('ground hogs & beets', 4));
    $line2 = array(3, 7, 2.5, 6, 5, 4);

    $pc = new C_PhpChartX(array($line1),'chart2');
    
    $pc->set_title(array('text'=>'Pie Chart with Legend and sliceMargin'));
    $pc->set_series_default(array(
		'renderer'=>'plugin::PieRenderer',
		'rendererOptions'=>array('sliceMargin'=>8)));
    $pc->set_legend(array('show'=>true,'escapeHtml'=>true));
    $pc->draw(400,300);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //Chart 3 Example
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $line1 = array(array('<frogs> & lizards', 3), array('buzzards & gizzards', 7), array('deer & beef', 2.5), array('turkeys & vulures', 6), array('moles & voles', 5), array('ground hogs & beets', 4));
    $line2 = array(3, 7, 2.5, 6, 5, 4);

    $pc = new C_PhpChartX(array($line1),'chart3');

    $pc->set_title(array('text'=>'Pie Chart without the Filling'));
    $pc->set_series_default(array(
		'renderer'=>'plugin::PieRenderer',
		'rendererOptions'=>array(
			'sliceMargin'=>8,
			'fill'=>false,
			'lineWidth'=>5,
			'shadow'=>false)));
    $pc->set_legend(array('show'=>true,'location'=>'w'));
    $pc->draw(400,300);
   
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //Chart 4 Example
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $line1 = array(array('<frogs> & lizards', 3), array('buzzards & gizzards', 7), array('deer & beef', 2.5), array('turkeys & vulures', 6), array('moles & voles', 5), array('ground hogs & beets', 4));
    $line2 = array(3, 7, 2.5, 6, 5, 4);

    $pc = new C_PhpChartX(array($line2),'chart4');

    $pc->set_title(array('text'=>'Not a Pie Chart that should render O.K. alongside a Pie Chart'));
    $pc->set_series_color(array('#dd3333', '#33dd33'));
    $pc->set_legend(array('show'=>true,'location'=>'n'));
    $pc->draw(400,300);

?>

    </body>
</html>