<!DOCTYPE HTML>
<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>phpChart - Step Chart with Date</title>
	</head>
<body>
<?PHP

require_once("../conf.php");      


	$name = "Step Chart with Date";

	# Effort
	$rough = 250;
	$analyzed = 300;
	$spent = 100;

	# Dates
	$startGraph = "2018-01-01";
	$startTrend = "2018-02-01";
	$now = "2018-03-22";
	$planned = "2018-04-15";
	$delivery = "2018-05-01";
	$max = "2018-05-05";

	# Effort
	$arrRough = array(array($startGraph, $rough), array($planned, $rough));
	$arrAnalyzed = array(array($startGraph, $analyzed), array($planned, $analyzed));
	$arrSpent = array(array($startGraph, $spent), array($now, $spent));

	# Worklogs
	$arrWorklog = array(
		array($startGraph, 0),
		array($startGraph, 0),
		array("2018-01-02", 0),
		array("2018-01-02", 10),
		array("2018-01-10", 10),
		array("2018-01-10", 12),
		array("2018-01-13", 12),
		array("2018-01-13", 20),
		array("2018-01-29", 20),
		array("2018-01-29", 60),
		array("2018-02-12", 60),
		array("2018-02-12", 65),
	);

	# Delivery
	$arrPlanned = array(array($planned, 0), array($planned, $analyzed));
	$arrDelivery = array(array($delivery, 0), array($delivery, $analyzed));

	# Today and trends
	$arrNow = array(array($now, 0), array($now, $analyzed));
	$arrTrendOptimal = array(array($startTrend, 50), array($planned, $rough));
	$arrTrendActual = array(array($startTrend, 50), array($now, $spent));

	$pc = new C_PhpChartX(
		array(
			$arrWorklog,
			$arrSpent,
			$arrRough,
			$arrAnalyzed,
			$arrPlanned,
			$arrDelivery,
			$arrNow,
			$arrTrendOptimal,
			$arrTrendActual,
		), "My_Chart");

  	$pc->set_title(array("text"=>$name));

  	// Add required renderer
	$pc->add_plugins(array('canvasTextRenderer','canvasAxisTickRenderer', 'highlighter','cursor'),true);

	# Add data lines
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>0.5, 'label'=>"Effort, Spent", "color"=>"MediumBlue", "linePattern"=>"solid", "showMarker"=>false));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>2, 'label'=>"Effort, Spent", "color"=>"MediumBlue", "linePattern"=>"solid", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>2, 'label'=>"Effort, Rough", "color"=>"darkbrown", "linePattern"=>"solid", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>2, 'label'=>"Effort, Analyzed", "color"=>"SkyBlue", "linePattern"=>"solid", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>2, 'label'=>"Delivery, Planned", "color"=>"darkorange", "linePattern"=>"solid", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>2, 'label'=>"Delivery, Estimated", "color"=>"red", "linePattern"=>"dashed", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>1, 'label'=>"Today", "color"=>"violet", "linePattern"=>"dashed", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>1, 'label'=>"Trend, Optimal", "color"=>"green", "linePattern"=>"dashed", "showMarker"=>true));
	$pc->add_series(array("xaxis"=>"xaxis", "yaxis"=>"yaxis", "lineWidth"=>1, 'label'=>"Trend, Actual", "color"=>"red", "linePattern"=>"dashed", "showMarker"=>true));

	$pc->set_xaxes(array(
		'xaxis'=>array(
			'renderer'=>'plugin::CategoryAxisRenderer',
			'label'=>'Delivery',
			'min' => "2018-01-01",
			'max' => "2018-05-05",
			'rendererOptions'=>array('tickRenderer'=>'plugin::CanvasAxisTickRenderer'),
			'tickOptions'=>array(
					'formatString'=>'%Y %b %#d',
					'angle'=>-40,
				)
		)
	));

	// Y-axis
	$pc->set_yaxes(array(
		'yaxis'=>array(
			'min' => 0,
			'labelOptions'=>array(
				'fontSize'=>'13pt'
			),
				'label'=>'Effort',
				'tickOptions'=>array(
					'formatString'=>'%dh',
					'angle'=>-30
				),
				'labelRenderer'=>'plugin::CanvasAxisLabelRenderer'
#			)
		)
	));


	$pc->set_legend(array(
    'renderer' => 'plugin::EnhancedLegendRenderer',
    'show' => true,
    'location' => 'ne',
    'placement' => 'outside',
    'marginTop' => 0,
    ));

	$pc->set_series_default(array(
		'showMarker'=>true,
	));

	$pc->set_grid(array(
    'borderWidth'=>0,
    'borderColor'=>'#000000',
    'shadow'=>true,
    'shadowWidth'=>10,
    'shadowOffset'=>3,
    'shadowDepth'=>3,
    'shadowColor'=>'rgba(230, 230, 230, 0.07)'
    ));

	$pc->draw(1000,500);

?>
</body>
</html>